//
//  AppDelegate.h
//  DropSco
//
//  Created by Stanko Juzbasic on 3/19/15.
//  Copyright (c) 2015 Stanko Juzbasic. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#define running 1
#define suspended 2
#define terminated 3
#define notask 0

@interface AppDelegate : NSObject <NSApplicationDelegate>
{
@public
    const char score [512];
    NSTask *task;
    int tstate;
    NSPipe *errorPipe;
    NSPipe *outputPipe;
    SInt32 versionMinor;
}

@property (assign) IBOutlet NSWindow *window;
@property (assign) IBOutlet NSTextField *pathField;
@property (assign) IBOutlet NSButton *goButton;
- (IBAction)go:(id)sender;
- (void)doKey;
- (void) mPostError:(NSString *)infoText;

@end
