//
//  KeyView.m
//  DropSco
//
//  Created by Stanko Juzbasic on 3/22/15.
//  Copyright (c) 2015 Stanko Juzbasic. All rights reserved.
//____________________________________________________________________________________

#import "KeyView.h"
#import "AppDelegate.h"

@implementation KeyView
//____________________________________________________________________________________
- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}
//____________________________________________________________________________________
- (void)drawRect:(NSRect)dirtyRect
{
    // Drawing code here.
    [super drawRect: dirtyRect];
}
//____________________________________________________________________________________
-(BOOL)acceptsFirstResponder { return YES; }

//____________________________________________________________________________________
- (void)keyDown:(NSEvent *)theEvent{
AppDelegate *delegate = (AppDelegate*) [NSApplication sharedApplication].delegate;
    NSString*   const   character   =   [theEvent charactersIgnoringModifiers];
    unichar     const   code        =   [character characterAtIndex:0];
    
    switch (code)
    {
        case ' ':
        {
            NSLog(@"SPACE\n");
            [delegate.goButton setKeyEquivalent:@" "];
            [delegate.goButton setState: 1 - delegate.goButton.state];
            [delegate go:delegate.goButton];
            break;
        }
        case '\r':
        {
            NSLog(@"R\n");
            [delegate doKey ];
            break;
            
        }
        case '\n':
        {
            NSLog(@"N\n");
            break;
        }
        default:
        {
            NSLog(@"DEFAULT\n");
            break;
        }
    }

}
//____________________________________________________________________________________
@end
