//C_command is the program to be called from the app
//s[] is the full path of the input (arguments) file for C_command
//execpath is the full path of the program C_command
//the complete string passed to system looks somewhat like:
//  "cd /Users/shared ; /usr/local/bin/C_command < /Users/shared/s.txt"

const char *s; //declared and initialized elsewhere in the app

- (IBAction)go:(id)sender
{
    //NSLog(@"s: %s\n", s);
    char cmd [1024];
    char dir [1024];
    system("pwd\n");
    //cd-ing to the "s" file directory enables resolving locally declared files in "s"
    //   (such as ../../data/data1.txt) from "s"-file's viewpoint!
    
    if(strlen(s) < 2)return;
    
    NSString* execpath = [self readDefault:@"execPath"];
    NSLog(@"execPath = %@", execpath);
    char cpath [512];
    strcpy(dir, "cd ");
    strcat(dir, dirname((char*)s));
    strcat(dir, " ; ");
    strcpy(cmd, dir);
    if(execpath == nil)
    strcat(cmd, "/usr/local/bin/C_command < ");
    else {        
    if([execpath getCString: cpath maxLength:512 encoding:NSUTF8StringEncoding] == YES)
        strcat(cmd, cpath );
        strcat(cmd, " < ");
    }
    strcat(cmd, s);
    strcat(cmd, " &\n");
    NSLog(@"COMMAND: %s\n", cmd);
    system(cmd);
}